#######################################################
################ Actions Version 1.2 ##################
#######################################################

# Requirements:
# EventScripts 2.1 (Orange Box) or later

#######################################################
#################### Configuration #################### 
#######################################################

# Enable/disable actions

# Extra money for defusing bombs (player action) (0 = disabled)
act_bomb_defused = 2000
# Extra money for planting bombs (player action) (0 = disabled)
act_bomb_planted = 500
# Extra money if bomb exploded (team action) (0 = disabled)
act_bomb_exploded = 2000
# Extra money for rescuing a hostage (player action) (0 = disabled)
act_hostage_rescued = 500
# Extra money for rescuing all hostages (team action) (0 = disabled)
act_all_hostages_rescued = 2000
# Extra money for winning the round (team action) (0 = disabled)
act_round_win = 1500
# Script language (supported languages: "de", "en")
act_language = "en"

#######################################################
#######################################################
#######################################################

import es, playerlib
import os.path

info = es.AddonInfo()
info.name = 'Actions'
info.version = '1.2'
info.url = 'http://addons.eventscripts.com/addons/view/actions'
info.author = 'Lumpi@Work'
info.description = 'Give extra money for special actions'

es.set("actions_ver", 1.2)
es.makepublic("actions_ver")

es.msg("#multi", "#green[Actions]#default: #lightgreenLoaded - Made by Lump1")

def unload():
    es.msg("#multi", "#green[Actions]#default: #lightgreenUnloaded")
		
def bomb_defused(event_var):
    if act_bomb_defused:
        act_player = playerlib.getPlayer(event_var["userid"])
        act_player.add("cash", act_bomb_defused)
        chatmsg(act_player, "bomb_defused")
        
def bomb_planted(event_var):
    if act_bomb_planted:
        act_player = playerlib.getPlayer(event_var["userid"])
        act_player.add("cash", act_bomb_planted)
        chatmsg(act_player, "bomb_planted")

def bomb_exploded(event_var):
    if act_bomb_exploded:
        act_player = playerlib.getPlayer(event_var["userid"])
        if act_player.teamid == 2:
            act_playerlist = playerlib.getPlayerList("#t")
        if act_player.teamid == 3:
            act_playerlist = playerlib.getPlayerList("#ct")
        for player in act_playerlist: 
            player.add("cash", act_bomb_exploded)
            chatmsg(player.userid, "bomb_exploded")

def hostage_rescued(event_var):
    if act_hostage_rescued:
        act_player = playerlib.getPlayer(event_var["userid"])
        act_player.add("cash", act_hostage_rescued)
        chatmsg(act_player, "hostage_rescued")

def hostage_rescued_all(event_var):
    if act_all_hostages_rescued:
        act_playerlist = playerlib.getPlayerList("#ct")
        for player in act_playerlist: 
            player.add("cash", act_all_hostages_rescued)
            chatmsg(player.userid, "hostage_rescued_all")

def round_end(event_var):
    if act_round_win:
        if event_var["winner"] == 2:
            act_playerlist = playerlib.getPlayerList("#t")
        if event_var["winner"] == 3:
            act_playerlist = playerlib.getPlayerList("#ct")        
        for player in act_playerlist: 
            player.add("cash", act_round_win)
            chatmsg(player.userid, "round_win")
       
def chatmsg(target, action):
    if act_language == "en":
        if action == "bomb_defused":
            es.tell(target, "#multi", "#green[Actions]#default: #lightgreenYou got %s$ for defusing the bomb" %act_bomb_defused)
        if action == "bomb_planted":
            es.tell(target, "#multi", "#green[Actions]#default: #lightgreenYou got %s$ for planting the bomb" %act_bomb_planted)
        if action == "bomb_exploded":
            es.tell(target, "#multi", "#green[Actions]#default: #lightgreenYour team got %s$ for destroying the target" %act_bomb_exploded)
        if action == "hostage_rescued":
            es.tell(target, "#multi", "#green[Actions]#default: #lightgreenYou got %s$ for rescuing a hostage" %act_hostage_rescued)
        if action == "hostage_rescued_all":
            es.tell(target, "#multi", "#green[Actions]#default: #lightgreenYour team got %s$ for rescuing all hostages" %act_all_hostages_rescued)
        if action == "round_win":
            es.tell(target, "#multi", "#green[Actions]#default: #lightgreenYour team got %s$ for winning the round" %act_round_win)
    if act_language == "de":
        if action == "bomb_defused":
            es.tell(target, "#multi", "#green[Actions]#default: #lightgreenDu hast %s$ fuer das Entschaerfen der Bombe erhalten" %act_bomb_defused)
        if action == "bomb_planted":
            es.tell(target, "#multi", "#green[Actions]#default: #lightgreenDu hast %s$ fuer das Legen der Bombe erhalten" %act_bomb_planted)
        if action == "bomb_exploded":
            es.tell(target, "#multi", "#green[Actions]#default: #lightgreenDein Team hat %s$ fuer das Zerstoeren des Ziels erhalten" %act_bomb_exploded)
        if action == "hostage_rescued":
            es.tell(target, "#multi", "#green[Actions]#default: #lightgreenDu hast %s$ fuer die Rettung einer Geisel erhalten" %act_hostage_rescued)
        if action == "hostage_rescued_all":
            es.tell(target, "#multi", "#green[Actions]#default: #lightgreenDein Team hat %s$ fuer die Rettung aller Geiseln erhalten" %act_all_hostages_rescued)
        if action == "round_win":
            es.tell(target, "#multi", "#green[Actions]#default: #lightgreenDein Team hat %s$ fuer das Gewinnen der Runde erhalten" %act_round_win)            
    